## WebKitDOMWheelEvent

WebKitDOMWheelEvent

## Functions

void | webkit_dom_wheel_event_init_wheel_event ()
gdouble | webkit_dom_wheel_event_get_delta_x ()
gdouble | webkit_dom_wheel_event_get_delta_y ()
gdouble | webkit_dom_wheel_event_get_delta_z ()
gulong | webkit_dom_wheel_event_get_delta_mode ()
glong | webkit_dom_wheel_event_get_wheel_delta_x ()
glong | webkit_dom_wheel_event_get_wheel_delta_y ()
glong | webkit_dom_wheel_event_get_wheel_delta ()
gboolean | webkit_dom_wheel_event_get_webkit_direction_inverted_from_device ()

## Properties

gulong | delta-mode | Read
gdouble | delta-x | Read
gdouble | delta-y | Read
gdouble | delta-z | Read
gboolean | webkit-direction-inverted-from-device | Read
glong | wheel-delta | Read
glong | wheel-delta-x | Read
glong | wheel-delta-y | Read

## Types and Values

| WebKitDOMWheelEvent

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMEvent
                ╰── WebKitDOMUIEvent
                    ╰── WebKitDOMMouseEvent
                        ╰── WebKitDOMWheelEvent

## Description

## Functions

### webkit_dom_wheel_event_init_wheel_event ()

    void
    webkit_dom_wheel_event_init_wheel_event
                                   (WebKitDOMWheelEvent *self,
                                    glong wheelDeltaX,
                                    glong wheelDeltaY,
                                    WebKitDOMDOMWindow *view,
                                    glong screenX,
                                    glong screenY,
                                    glong clientX,
                                    glong clientY,
                                    gboolean ctrlKey,
                                    gboolean altKey,
                                    gboolean shiftKey,
                                    gboolean metaKey);

#### Parameters

self | A WebKitDOMWheelEvent |
wheelDeltaX | A glong |
wheelDeltaY | A glong |
view | A WebKitDOMDOMWindow |
screenX | A glong |
screenY | A glong |
clientX | A glong |
clientY | A glong |
ctrlKey | A gboolean |
altKey | A gboolean |
shiftKey | A gboolean |
metaKey | A gboolean |

### webkit_dom_wheel_event_get_delta_x ()

    gdouble
    webkit_dom_wheel_event_get_delta_x (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A gdouble

### webkit_dom_wheel_event_get_delta_y ()

    gdouble
    webkit_dom_wheel_event_get_delta_y (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A gdouble

### webkit_dom_wheel_event_get_delta_z ()

    gdouble
    webkit_dom_wheel_event_get_delta_z (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A gdouble

### webkit_dom_wheel_event_get_delta_mode ()

    gulong
    webkit_dom_wheel_event_get_delta_mode (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A gulong

### webkit_dom_wheel_event_get_wheel_delta_x ()

    glong
    webkit_dom_wheel_event_get_wheel_delta_x
                                   (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A glong

### webkit_dom_wheel_event_get_wheel_delta_y ()

    glong
    webkit_dom_wheel_event_get_wheel_delta_y
                                   (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A glong

### webkit_dom_wheel_event_get_wheel_delta ()

    glong
    webkit_dom_wheel_event_get_wheel_delta
                                   (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A glong

### webkit_dom_wheel_event_get_webkit_direction_inverted_from_device ()

    gboolean
    webkit_dom_wheel_event_get_webkit_direction_inverted_from_device
                                   (WebKitDOMWheelEvent *self);

#### Parameters

self | A WebKitDOMWheelEvent |

#### Returns

A gboolean

## Types and Values

### WebKitDOMWheelEvent

    typedef struct _WebKitDOMWheelEvent WebKitDOMWheelEvent;

## Property Details

### The `“delta-mode”` property

      “delta-mode”               gulong

read-only gulong WheelEvent:delta-mode.

Flags: Read

### The `“delta-x”` property

      “delta-x”                  gdouble

read-only gdouble WheelEvent:delta-x.

Flags: Read

Default value: 0

### The `“delta-y”` property

      “delta-y”                  gdouble

read-only gdouble WheelEvent:delta-y.

Flags: Read

Default value: 0

### The `“delta-z”` property

      “delta-z”                  gdouble

read-only gdouble WheelEvent:delta-z.

Flags: Read

Default value: 0

### The `“webkit-direction-inverted-from-device”` property

      “webkit-direction-inverted-from-device” gboolean

read-only gboolean WheelEvent:webkit-direction-inverted-from-device.

Flags: Read

Default value: FALSE

### The `“wheel-delta”` property

      “wheel-delta”              glong

read-only glong WheelEvent:wheel-delta.

Flags: Read

Default value: 0

### The `“wheel-delta-x”` property

      “wheel-delta-x”            glong

read-only glong WheelEvent:wheel-delta-x.

Flags: Read

Default value: 0

### The `“wheel-delta-y”` property

      “wheel-delta-y”            glong

read-only glong WheelEvent:wheel-delta-y.

Flags: Read

Default value: 0